package com.steerinfo.meterwork.meterworkoldandnew.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Bourne.Cao
 * @date 2022-08-06 10:50
 */
@Mapper
public interface MeterWorkOldAndNewMapper {

    // 汽车衡联合查询
    List<HashMap> doQueryFirstNew(Map<String, Object> params);
    List<HashMap> doQueryFirstOld(Map<String, Object> params);
    List<HashMap> doQueryNew(Map<String, Object> params);
    List<HashMap> doQueryOld(Map<String, Object> params);
    List<HashMap> countNew(Map<String, Object> params);
    List<HashMap> countOld(Map<String, Object> params);

    // 静态轨道衡联合查询
    List<HashMap> doQueryRailwayNew(Map<String, Object> params);
    List<HashMap> doQueryRailwayOld(Map<String, Object> params);
    List<HashMap> doQueryRailwayFirstNew(Map<String, Object> params);
    List<HashMap> doQueryRailwayFirstOld(Map<String, Object> params);
    List<HashMap> countRailwayNew(Map<String, Object> params);
    List<HashMap> countRailwayOld(Map<String, Object> params);

    // 动态轨道衡联合查询
    List<HashMap> doQueryRailwayDynamicNew(Map<String, Object> params);
    List<HashMap> doQueryRailwayDynamicOld(Map<String, Object> params);
    List<HashMap> doQueryRailwayDynamicFirstNew(Map<String, Object> params);
    List<HashMap> doQueryRailwayDynamicFirstOld(Map<String, Object> params);
    List<HashMap> countRailwayDynamicNew(Map<String, Object> params);
    List<HashMap> countRailwayDynamicOld(Map<String, Object> params);


    //静态贴水衡、吊钩秤
    List<HashMap> doQueryRailwayHookFirstNew(Map<String, Object> params);
    List<HashMap> doQueryRailwayHookFirstOld(Map<String, Object> params);
    List<HashMap> doQueryRailwayHookNew(Map<String, Object> params);
    List<HashMap> doQueryRailwayHookOld(Map<String, Object> params);
    List<HashMap> countRailwayHookNew(Map<String, Object> params);
    List<HashMap> countRailwayHookOld(Map<String, Object> params);

    //所有秤点联合查询
    List<HashMap> getAllNew(Map<String, Object> params);
    List<HashMap> getAllOld(Map<String, Object> params);
    List<HashMap> getCountAllNew(Map<String, Object> params);
    List<HashMap> getCountAllOld(Map<String, Object> params);
}
